

cc.Class({
    extends: cc.Component,

    properties: {
        awardNode1: cc.Node,
        awardItemNode1: cc.Node,
        countLabel1: cc.Label,

        awardNode2: cc.Node,
        awardItemNode2: cc.Node,
        countLabel2: cc.Label,

        awardRichText: cc.RichText,

        noButton: cc.Button,
        gainButton: cc.Button,
        finishButton: cc.Button,
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {

    },

    hideAllButton() {
        this.noButton.active = false;
        this.gainButton.active = false;
        this.finishButton.active = false;
    },

    configData() {
        this.hideAllButton();
    },

    // update (dt) {},
});
